# main.cpp File Reference

`#include <iostream>`
`#include "version.h"`
`#include "general.h"`
`#include "module.h"`
`#include <cstdlib>`
`#include <ltdl.h>`
`#include <stdexcept>`
`#include "target.h"`
`#include <ETL/stringf>`
`#include "listimporter.h"`
`#include "color.h"`
`#include "vector.h"`
`#include <fstream>`
`#include "layer.h"`
`#include "valuenode.h"`
`#include "main.h"`
`#include "loadcanvas.h"`
`#include "guid.h"`
`#include "mutex.h"`

## Defines

#define | MODULE_LIST_FILENAME "synfig_modules.cfg"

## Functions

static etl::reference_counter | synfig_ref_count_ (0)
const char * | synfig::get_version ()
const char * | synfig::get_build_date ()
bool | synfig::check_version_ (int v, int vec_size, int color_size, int canvas_size, int layer_size)
| Version checker.
static void | broken_pipe_signal (int)
bool | retrieve_modules_to_load (String filename, std::list< String > &modules_to_load)
static const String | current_time ()
void | synfig::error (const char *format,...)
| Reports an error.
void | synfig::error (const String &str)
void | synfig::warning (const char *format,...)
| Reports a warning.
void | synfig::warning (const String &str)
void | synfig::info (const char *format,...)
| Reports some information.
void | synfig::info (const String &str)

## Detailed Description

Todo:
  This needs to be documented further.

$Id$

## Define Documentation

#define MODULE_LIST_FILENAME "synfig_modules.cfg"

Referenced by synfig::Main::Main().

## Function Documentation

static etl::reference_counter synfig_ref_count_ | ( | 0 |  | ) | `[static]`

Referenced by synfig::Main::Main(), and synfig::Main::~Main().

static void broken_pipe_signal | ( | int |  | ) | `[static]`

References synfig::warning().

Referenced by synfig::Main::Main().

bool retrieve_modules_to_load | ( | String | filename,
|  | std::list< String > & | modules_to_load |
| ) |  |  |

Referenced by synfig::Main::Main().

static const String current_time | ( |  | ) | `[static]`

Referenced by synfig::error(), synfig::info(), and synfig::warning().